aboutsummaryrefslogtreecommitdiffstats
path: root/main/libao/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-07-24 08:01:31 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-07-24 08:01:31 +0000
commitb70981b68efcce5256eb11c6cd26ae123b10b6ea (patch)
treea38be6efae5e2ba15c2e839504632f9b7bfd5f91 /main/libao/APKBUILD
parent2b4df81538b8398442d5296650905c70341dd8d3 (diff)
downloadaports-b70981b68efcce5256eb11c6cd26ae123b10b6ea.tar.gz
aports-b70981b68efcce5256eb11c6cd26ae123b10b6ea.tar.bz2
aports-b70981b68efcce5256eb11c6cd26ae123b10b6ea.tar.xz
moved extra/* to main/
and fixed misc build issues
Diffstat (limited to 'main/libao/APKBUILD')
-rw-r--r--main/libao/APKBUILD22
1 files changed, 22 insertions, 0 deletions
diff --git a/main/libao/APKBUILD b/main/libao/APKBUILD
new file mode 100644
index 0000000000..a82ba46587
--- /dev/null
+++ b/main/libao/APKBUILD
@@ -0,0 +1,22 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libao
+pkgver=0.8.8
+pkgrel=1
+pkgdesc="Cross-platform audio output library and plugins"
+url="http://www.xiph.org/ao"
+license="GPL"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="uclibc alsa-lib"
+makedepends="alsa-lib-dev"
+source="http://downloads.xiph.org/releases/ao/$pkgname-$pkgver.tar.gz"
+
+build () {
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --enable-alsa09 \
+ --disable-esd \
+ --disable-arts
+ make || return 1
+ make DESTDIR="$pkgdir" install
+}
+md5sums="b92cba3cbcf1ee9bc221118a85d23dcd libao-0.8.8.tar.gz"